Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 182253 - nscd cache pollution
Summary: nscd cache pollution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-02-21 14:28 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHBA-2006-0453
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:28:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
glibc-rh182253.patch (deleted)
2006-04-04 14:11 UTC, Jakub Jelinek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0453 normal SHIPPED_LIVE glibc bug fix update 2006-07-19 18:30:00 UTC

Description Bastien Nocera 2006-02-21 14:28:40 UTC
nscd-2.3.2-95.37

With nscd running:
$ /etc/init.d/nscd restart
Stopping nscd:                                             [  OK  ]
Starting nscd:                                             [  OK  ]
$ service nscd status
nscd (pid 8249) is running...
$ grep ncsu /etc/hosts
127.0.0.2               www.ncsu.edu
$ getent hosts www.ncsu.edu
127.0.0.2       www.ncsu.edu
$ getent hosts www.ncsu.edu.
152.1.226.10    uni200v.unity.ncsu.edu www.ncsu.edu
$ getent hosts www.ncsu.edu
152.1.226.10    uni200v.unity.ncsu.edu www.ncsu.edu

Without nscd running:
$ /etc/init.d/nscd stop
Stopping nscd:                                             [  OK  ]
$ getent hosts www.ncsu.edu
127.0.0.2       www.ncsu.edu
$ getent hosts www.ncsu.edu.
152.1.226.10    uni200v.unity.ncsu.edu www.ncsu.edu
$ getent hosts www.ncsu.edu
127.0.0.2       www.ncsu.edu

Comment 5 Jakub Jelinek 2006-04-04 14:11:30 UTC
Created attachment 127297 [details]
glibc-rh182253.patch

This should hopefully fix it, it is not really a backport, since hstcache.c
was almost rewritten a few days before the corresponding patch has been
committed.  With this patch, we should only cache using request key as being
passed from the client, rather than cache also with the reverse mapping and all
aliases and IP{,v6} addresses associated with it as other keys.

Comment 7 Bob Johnson 2006-04-11 16:05:09 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 11 Red Hat Bugzilla 2006-07-20 14:28:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0453.html



Note You need to log in before you can comment on or make changes to this bug.